let socketMsgQueue = ["测试"];

function sendSocketMessage(msg) {
  wx.sendSocketMessage({
    data: msg
  })
}
Page({
  data: {
    html: ""
  },
  /**
   * 连接
   */
  handleConnect() {
    console.log("触发");
    wx.connectSocket({
      url: 'ws:81.69.170.111:4000',
      header: {
        'content-type': 'application/json'
      },
      complete: res => {
        console.log(res);
      }
    })
    // 监听
    wx.onSocketOpen((result) => {
      console.log("websocket连接已打开");
      for (let i = 0; i < socketMsgQueue.length; i++) {
        // 发送数据
        sendSocketMessage(socketMsgQueue[i])
      }
      socketMsgQueue = [];
    })
    // 失败监控
    wx.onSocketError((result) => {
      console.log("websocket连接失败", result);
    })
    // 监听服务器的数据返回
    wx.onSocketMessage((result) => {
      console.log("服务器的数据返回", result);
      this.setData({
        html: result.data
      });
    })
  },
  /**
   * 输入的内容
   */
  handleInput(val) {
    socketMsgQueue.push(val.detail.value);
  }
})